plugin Processing "cannot import name uic" after installation of QGIS 2.18.16

2018-02-01 05:11 PM - michel guillain

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.18.16 Regression?: No

Operating System: Windows 7 64b Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25920

Description

after installation of QGIS 2.18.16 from http://qgis.org/downloads/QGIS-OSGeo...tup-x86_64.exe

Same problem with QLink plugin

2018-02-01T08:56:30 1 Traceback (most recent call last): File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 308, in

loadPlugin

import(packageName)

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\_init__.py", line 29, in <module>

from processing.tools.general import * # NOQA

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\tools\general.py", line 31, in <module>

from processing.core.Processing import Processing

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\core\Processing.py", line 42, in <module>

from processing.script.ScriptUtils import ScriptUtils

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\script\ScriptUtils.py", line 30, in <module>

from processing.script.ScriptAlgorithm import ScriptAlgorithm

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\script\ScriptAlgorithm.py", line 34, in <module>

from processing.gui.Help2Html import getHtmlFromHelpFile

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python\qgis\utils.py", line 607, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\gui\_init__.py", line 1, in <module>

from qgis.PyQt import uic

ImportError: cannot import name uic

2018-02-01T08:55:51 0 Loaded Coordinate Capture (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/coordinatecaptureplugin.dll)

2018-02-01T08:55:51 0 Loaded Dxf2Shp Converter (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/dxf2shpconverterplugin.dll)

2018-02-01T08:55:51 0 Loaded eVis (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/evis.dll)

2018-02-01T08:55:51 0 Loaded Georeferencer GDAL (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/georefplugin.dll)

2018-02-01T08:55:51 1 Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/globeplugin.dll (Reason: Cannot load library

C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/globeplugin.dll: Le module spécifié est introuvable.)
2018-02-01T08:55:51 0 Loaded GPS Tools (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/gpsimporterplugin.dll)

2018-02-01T08:55:51 1 Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/grassplugin7.dll (Reason: Cannot load library

C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/grassplugin7.dll: Le module spécifié est introuvable.)

2018-02-01T08:55:51 1 Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/grassprovider7.dll (Reason: Cannot load library

C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/grassprovider7.dll: Le module spécifié est introuvable.)

2018-02-01T08:55:51 1 Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/grassrasterprovider7.dll (Reason: Cannot load

library C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/grassrasterprovider7.dll: Le module spécifié est introuvable.)

2018-02-01T08:55:51 0 Loaded Heatmap (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/heatmapplugin.dll)

2018-02-01T08:55:51 0 Loaded Interpolation plugin (Path: C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/interpolationplugin.dll)

History

#1 - 2018-02-02 10:25 AM - Richard Duivenvoorde

Hi, this is probably because you have some (processing) leftovers in hour ~/.qgis2 (or Windows counterpart of it).

If you remove or rename the .qgis2 directory (or maybe just remove the processing directory in it???). Your install will be ok.

Seen this yesterday at a meeting :-)

#2 - 2018-02-02 01:55 PM - michel guillain

- Status changed from Open to Closed

I have renamed .qgis2 directory, removing the processing directory was not enough.

I had to reinstall the all plugin.

Thank you.

#3 - 2018-02-21 09:21 PM - Giovanni Manghi

- Resolution set to not reproducable
